Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## tesl
Class LongCalc

    java.lang.Object
      tesl.LongCalc

All Implemented Interfaces:
  TagCalculus<java.lang.Long>

    public class LongCalc

extends java.lang.Object
implements TagCalculus<java.lang.Long>

A tag calculus on integers which uses the regular int operators

Author:
  boulange

Constructor Summary
`LongCalc()`

Method Summary
`java.lang.Long` | `add(java.lang.Long a, java.lang.Long b)`
`java.lang.Long` | `divide(java.lang.Long a, java.lang.Long b)`
`static java.lang.Long` | `do_add(java.lang.Long a, java.lang.Long b)`
`static java.lang.Long` | `do_divide(java.lang.Long a, java.lang.Long b)`
`static java.lang.Long` | `do_multiply(java.lang.Long a, java.lang.Long b)`
`static java.lang.Long` | `do_subtract(java.lang.Long a, java.lang.Long b)`
`java.lang.Long` | `multiply(java.lang.Long a, java.lang.Long b)`
`java.lang.Long` | `subtract(java.lang.Long a, java.lang.Long b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LongCalc

    public LongCalc()

Method Detail

### add

    public java.lang.Long add(java.lang.Long a,
                              java.lang.Long b)

  Specified by:
    `add` in interface `TagCalculus<java.lang.Long>`

### do_add

    public static java.lang.Long do_add(java.lang.Long a,
                                        java.lang.Long b)

### subtract

    public java.lang.Long subtract(java.lang.Long a,
                                   java.lang.Long b)

  Specified by:
    `subtract` in interface `TagCalculus<java.lang.Long>`

### do_subtract

    public static java.lang.Long do_subtract(java.lang.Long a,
                                             java.lang.Long b)

### multiply

    public java.lang.Long multiply(java.lang.Long a,
                                   java.lang.Long b)

  Specified by:
    `multiply` in interface `TagCalculus<java.lang.Long>`

### do_multiply

    public static java.lang.Long do_multiply(java.lang.Long a,
                                             java.lang.Long b)

### divide

    public java.lang.Long divide(java.lang.Long a,
                                 java.lang.Long b)

  Specified by:
    `divide` in interface `TagCalculus<java.lang.Long>`

### do_divide

    public static java.lang.Long do_divide(java.lang.Long a,
                                           java.lang.Long b)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD